#!/usr/bin/perl
#
# bin/login.sara
#
# Looking for open accounts
#
#

use perl::STelnet ();

require 'config/paths.pl';
require 'perl/misc.pl';
require 'perllib/getopts.pl';

$user = "bin";
$pass = "password";
$opt_u = $user;
$opt_p = $pass;
$tmp_file = "tmp_file.$$";
$tmp1_file = "tmp1_file.$$";

$usage = "Usage: $0 [-u user [-p password]] target\n";

&Getopts("p:u:") or die $usage;

$service = "telnet";
$status = "a";
$service_output = "";


# Get the target
($#ARGV == 0) or die $usage;
$target = $ARGV[0];

$t = new perl::STelnet (Timeout => 10,
                       Prompt => '/[\%\#\$>]/');
$t->open($target);
$success = $t->login($opt_u, $opt_p);

if ($success) {
    $severity="us";
    $trustee = "ANY";
    $service_output = "remote shell access";
    if ($pass) {
        $pass = "with password"
    }
    $text = "user $user trust the world $pass";
    &sara_print();
}

1;
